import base64

import requests
from fastapi import APIRouter, HTTPException


router = APIRouter()


@router.get("/health")
def get_health(server: str = "http://web"):
    # Only allow requests to other docker containers
    if "." in server or server.isnumeric() or "\\" in server:
        raise HTTPException(status_code=403, detail="Invalid server parameter")
    response = requests.get(server)
    if response.status_code == 200:
        return {"isok": True, "proof": base64.b64encode(response.content)}
    else:
        return {"isok": False}


"""
legacy health endpoint, do NOT delete for now

@router.get("/isalive")
def is_alive(server: str = "web"):
    response = requests.get(f"http://logging?server={server}")
    if "ok" in response.text:
        return {server: True, "proof": enc(response.content)}
    else:
        return {server: False, "proof": enc(response.content)}
"""
