from typing import Optional

from sqlalchemy.orm import Session

from app import security
from app.models.user import User


def get(db: Session, id: int) -> Optional[User]:
    return db.query(User).get(id)


def create(db: Session, username: str, password: str, is_admin: bool = False) -> User:
    hashed_password = security.hash_password(password)
    user = User(username=username, password=hashed_password, is_admin=is_admin)
    db.add(user)
    db.commit()
    return user


def get_by_username(db: Session, username: str) -> Optional[User]:
    return db.query(User).filter_by(username=username).first()
