from sqlalchemy import Column, ForeignKey, Integer, String
from sqlalchemy.orm import relationship

from app.db.base_class import Base


class Chest(Base):
    __tablename__ = "chest"

    id = Column(Integer, primary_key=True, index=True)
    uid = Column(String(36), unique=True)
    picture = Column(String(100), default="0.jpg")
    content = Column(String(255), default=None)
    user_id = Column(Integer, ForeignKey("user.id"), index=True, nullable=False)

    user = relationship("User")
